package info.aspirecn.cloud.yysj.commons.lang;

import org.apache.commons.lang3.StringUtils;
import org.omg.CORBA.portable.IDLEntity;

public class Constants {
    public static String car_vehicleNumber = "vehicleNumber";
    public static String car_vehicleType = "vehicleType";
    public static String car_owner = "owner";
    public static String car_vin = "vin";
    public static String car_registerDate = "registerDate";

    public static String driver_driverLicenseNumber = "driverLicenseNumber";
    public static String driver_driverNamer = "driverName";
    public static String driver_vehicleClass = "vehicleClass";
    public static String driver_validPeriodFrom = "validPeriodFrom";
    public static String driver_validPeriodTo = "validPeriodTo";


    public static String driver_qualificationCertificate = "qualificationCertificate";
    public static String driver_provinceCode = "provinceCode";
    public static String driver_qualificationCertificateFrom = "qualificationCertificateValidPeriodFrom";
    public static String driver_qualificationCertificateTo = "qualificationCertificateValidPeriodTo";
    public static String driver_drivingLicense = "drivingLicense";


    public static String car_roadTransport = "roadTransportCertificateNumber";
    public static String car_vehiclePlateColorCode = "vehiclePlateColorCode";
    public static String car_roadTransportCertificateValidPeriodFrom = "roadTransportCertificateValidPeriodFrom";
    public static String car_roadTransportCertificateValidPeriodTo = "roadTransportCertificateValidPeriodTo";


    public static String bill_carrier = "carrier";
    public static String bill_permitNumber = "permitNumber";
    public static String bill_unifiedSocialCreditIdentifier = "unifiedSocialCreditIdentifier";
    public static String bill_permitValidPeriodFrom = "permitValidPeriodFrom";
    public static String bill_permitValidPeriodTo = "permitValidPeriodTo";

    public static String bill_consignorInfo = "consignorInfo";
    public static String bill_consignor = "consignor";
    public static String bill_ConsignorID = "consignorID";

    public static String bill_countrySubdivisionCode = "countrySubdivisionCode";//收货人和发货人此字段一致

    public static String bill_consigneeInfo = "consigneeInfo";


    public static String bill_despatchActualDateTime = "despatchActualDateTime";
    public static String bill_goodsReceiptDateTime = "goodsReceiptDateTime";

    public static String bill_vehicleInfo = "vehicleInfo";
    public static String bill_vehicleNumber = "vehicleNumber";

    public static String bill_vehiclePlateColorCode = "vehiclePlateColorCode";

    public static String bill_goodsInfo = "goodsInfo";

    public static String bill_goodsInfo_weight = "goodsItemGrossWeight";
    public static String bill_driver = "driver";
    public static String bill_driver_name = "driverName";
    public static String bill_driver_License = "drivingLicense";
    public static String bill_shipping_note_number = "shippingNoteNumber";
    public static String bill_place_of_loading = "placeOfLoading";
    public static String bill_goods_receipt_place = "goodsReceiptPlace";
    public static String bill_verification_time_radius = "verificationTimeRadius";

    public static String req_id = "reqID";
    public static String appe_id_code = "appeIdCode";
    public static String eid_voucher = "eidVoucher";
    public static String Long_degree = "longitudeDegree";
    public static String lat_degree = "latitudeDegree";

    public static String shipping_note_number = "shippingNoteNumber";


    //车辆核验

    public static String carck_vehicleNumber = "vehicleNumber";
    public static String carck_colorCode = "vehiclePlateColorCode";
    public static String carck_vin = "vin";
    public static String carck_certificateNumber = "roadTransportCertificateNumber";


    //人员核验

    public static String perck_driverName = "driverName";
    public static String perck_drivingLicense = "drivingLicense";
    public static String perck_certificate = "qualificationCertificate";
    public static String perck_provinceCode = "provinceCode";

    //传给上游的参数
    public static String up_driverName = "nameOfPerson";
    public static String up_certificate = "qualificationCertificateNumber";
    public static String up_drivingLicense = "identityDocumentNumber";
    public static String up_provinceCode = "provinceCode";
    //企业核验

    public static String comck_name = "entName";
    public static String comck_permitNumber = "permitNumber";
    public static String comck_provinceCode = "provinceCode";


    //传给上游的参数
    public static String up_name = "entName";
    public static String up_permitNumber = "permitNumber";
    public static String up_cprovinceCode = "provinceCode";

    public static String inconsistent_resp = "1";//下游响应结果不一致
    public static String consistent_resp = "0";//下游响应结果一致


    public static String inconsistent_code = "0";//系统处理不一致
    public static String consistent_code = "1";//系统处理一致
    public static String error = "3";
    public static String xysj_error = "4";

    public static String param_error = "5";
    public static String inconsistent_detail_code = "6";//系统处理不一致(直接取不一致的msg，不需要封装)

    public static String errorInfo = "系统异常，核验失败";
    public static String weightOverInfo = "车辆超载";
    public static String moneyNotEnough = "余额不足";
    //车辆行驶证接口参数
    public static String clxszyz_carNumber = "carNumber";
    public static String clxszyz_carType = "carType";
    public static String clxszyz_name = "name";
    public static String clxszyz_vin = "vin";
    public static String clxszyz_register_date = "register_date";


    //人员驾驶证接口参数
    public static String ryjszyz_driveNo = "driveNo";
    public static String ryjszyz_name = "name";


    //人员从业资格验证
    public static String rycyzgyz_nameOfPerson = "nameOfPerson";
    public static String rycyzgyz_qualificationCertificateNumber = "qualificationCertificateNumber";
    public static String rycyzgyz_provinceCode = "provinceCode";
    public static String rycyzgyz_periodStartDate = "periodStartDate";
    public static String rycyzgyz_periodEndDate = "periodEndDate";
    public static String rycyzgyz_drivingLicense = "drivingLicense";


    //车辆营运验证
    public static String clyyyz_vehicleNumber = "vehicleNumber";
    public static String clyyyz_licensePlateTypeCode = "licensePlateTypeCode";
    public static String clyyyz_roadTransportCertificateNumber = "roadTransportCertificateNumber";
    public static String clyyyz_periodStartDate = "periodStartDate";
    public static String clyyyz_periodEndDate = "periodEndDate";

    //企业运营许可证
    public static String qyyyxkz_carrier = "carrier";
    public static String qyyyxkz_permitNumber = "permitNumber";
    public static String qyyyxkz_provinceCode = "provinceCode";
    public static String qyyyxkz_name = "name";
    public static String qyyyxkz_creditCode = "creditCode";

    //车辆入网接口参数
    public static String clrw_vehicleNumber = "vehicleNumber";
    public static String clrw_licensePlateTypeCode = "licensePlateTypeCode";

    //托运人身份验证（个人）
    public static String persontyr_name = "name";
    public static String persontyr_idCode = "idCode";


    //托运人身份验证（企业）
    public static String enterpricetyr_name = "name";
    public static String enterpricetyr_creditCode = "creditCode";


    //装货，卸货
    public static String zh_xh_vehicleNumber = "vehicleNumber";
    public static String zh_xh_dateTime = "dateTime";
    public static String zh_xh_countrySubdivisionCode = "countrySubdivisionCode";


    //核验重量
    public static String zlhy_vehicleNumber = "vehicleNumber";
    public static String zlhy_licensePlateTypeCode = "licensePlateTypeCode";
    public static String zlhy_vehicleTonnage = "vehicleTonnage";

    //司机上下线
    public static String sjsxx_bill_no = "shippingNoteNumber";
    public static String sjsxx_drivers = "drivers";
    public static String sjsxx_name = "name";
    public static String sjsxx_idCode = "idNumber";
    public static String sjsxx_dateTime = "DateTime";
    public static String sjsxx_consistent = "MG-Consistent";
    public static String sjsxx_H1 = "H1";
    public static String sjsxx_despatchActualDateTime = "despatchActualDateTime";

    //运单信息核验服务url
    public static String APPKEY = "X-Ca-Key";
    public static String price = "money";
    public static String HEADER_TOKEN_KEY = "token";
    public static String HEADER_ACCEPT_KEY = "Accept";
    public static String HEADER_OLD_TRACEID_KEY = "traceid";
    public static String HEADER_PARENT_TRACEID_KEY = "parent-traceid";
    public static String HEADER_TRACEID_KEY = "x-b3-traceid";
    public static String HEADER_USER_ID = "LOGINK-USER-ID";
    public static String USER_ID_KEY = "userId";
    public static String APPID_KEY = "appId";
    public static String Url = "url";
    public static String APPSECRET_KEY = "secret";
    public static String BODY = "body";
    public static String PRODUCTIDS_KEY = "productIds";
    // 司机身份验证
    public static String DRIVER_DRIVING_LICENSE = "drivingLicense";
    public static String DRIVER_NAME = "driverName";

    //签名算法HmacSha256
    public static final String HMAC_SHA256 = "HmacSHA256";
    //编码UTF-8
    public static final String ENCODING = "UTF-8";

    public enum ResultDesc {
        SUCCESS("0", "成功"),
        FAIL("1", "失败"),
        PARAMNULL("140001", "必填参数为空"),
        PARAMERROR("140002", "参数不符合规格"),
        PARAMRESULTNULL("110000", "查询结果为空"),
        NOACCESS("111003", "无权限访问服务"),
        ACCESSLIMIT("111004", "访问次数已达上限"),
        SIGNERROR("109002", "签名验证失败"),
        APPKEYNULL("109003", "用户APPKEY为空"),
        APPKEYERROR("109004", "用户APPKEY无效"),
        INTEREXCEPTION("119999", "数据源接口异常"),
        SERVERERROR("600001", "信用服务内部错误"),
        HTTPMETHODERROR("600002", "HTTP请求方法出错"),
        NO_PERMISSION("111003", "无权限访问服务[自定义描述]");
        private String code;
        private String value;

        ResultDesc(String code, String value) {
            this.code = code;
            this.value = value;
        }

        public String getCode() {
            return this.code;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum RequestUrl {
        CARURL("/info_check/carInfo.do"),
        DRIVERURL("/info_check/driverInfo.do"),
        BILLWAYURL("/info_check/waybill.do"),
        VEHICLE_POSITION_CONSISTENCY_CHECK("/info_check/historyPositionCheck.do");

        private String value;

        RequestUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }

    }

    public enum OtherRquestUrl {
        IDLENTITYVERIFICATION("/info_check/identity.do"),
        LIVINGURL("/info_check/living.do");
        private String value;

        OtherRquestUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum RoadTransportUrl {
        CarRoadTransport("/info_check/carRoadTransport.do"),
        PersonRoadTransport("/info_check/personRoadTransport.do"),
        CompanyRoadTransport("/info_check/companyRoadTransport.do");
        private String value;

        RoadTransportUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum ProductCheckUrl {
        BILLWAYURL("/detail/detail.do"),
        OTHERBILLURL("/detail/otherDetail.do");
        private String value;

        ProductCheckUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum VehicleTrajectoryUrl {
        HISTORY_POSITION("/info_check/historyPosition.do");
        private String value;

        VehicleTrajectoryUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum DriverInfoCheckUrl {
        DRIVER_INFO_URL("/info_check/driverInfoCheck.do");
        private String value;

        DriverInfoCheckUrl(String value) {
            this.value = value;
        }

        public String getValue() {
            return this.value;
        }
    }

    public enum ErrorCode {
        Exception(4),
        INCONSISTENT_DETAIL(2),
        INCONSISTENT_ALL(3),
        NULL(1),
        WEIGTHOVER(5),
        MONEYNOTENOUGH(6),
        INCONSISTENT_DETAIL_STRING(7);
        private int errorCode;

        ErrorCode(int errorCode) {
            this.errorCode = errorCode;
        }

        public int getErrorCode() {
            return this.errorCode;
        }

    }

    public static String bill_receipt_country_subdivision_code = "receiptCountrySubdivisionCode";
    public static String bill_loading_country_subdivision_code = "loadingCountrySubdivisionCode";
    public static String zxh_vehicleNumber = "plateNumber";
    public static String zxh_vehiclePlateColorCode = "plateColor";
    public static String zxh_receiptCountrySubdivisionCode = "receiptCountrySubdivisionCode";
    public static String zxh_goodsReceiptDateTime = "endTime";
    public static String zxh_loadingCountrySubdivisionCode = "loadingCountrySubdivisionCode";
    public static String zxh_despatchActualDateTime = "startTime";
    public static String zxh_data = "data";

    //司机身份验证
    public static String driver_name = "name";
    public static String driver_idCode = "idCode";

}


